Bug 803840 - FTBFS: build failure on PPC64, 2 of 6 tests failed,
FTBFS: build failure on PPC64, 2 of 6 tests failed,
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
17
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 14:16 EDT by Karsten Hopp
Modified: 2012-04-11 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: libuser-0.57.6-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:29:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log (152.08 KB, text/x-log)
2012-03-15 14:16 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2012-03-15 14:16:54 EDT
Created attachment 570392 [details]
build log

Description of problem:
FAIL: tests/default_pw_test
FAIL: tests/ldap_test

Version-Release number of selected component (if applicable):
libuser-0.57.4-1.fc17

How reproducible:
always

Steps to Reproduce:
1.ppc-koji build --scratch f17 libuser-0.57.4-1.fc17.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=439566
or attachment

Expected results:


Additional info:
Comment 1 Miloslav Trmač 2012-03-22 10:10:56 EDT
Thanks for your report.

I have seen similar problems on slower architectures.  The next release will remove some of the races in waiting for slapd, which should help.
Comment 2 Fedora Update System 2012-03-22 16:47:41 EDT
libuser-0.57.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libuser-0.57.6-1.fc17
Comment 3 Fedora Update System 2012-03-22 20:39:52 EDT
Package libuser-0.57.6-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libuser-0.57.6-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4457/libuser-0.57.6-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-11 22:29:20 EDT
libuser-0.57.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.